> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/users-and-accounts/mark-as-inactive.md).

# Mark As Inactive

## POST /api/Public/MarkAsInactive/workflow

> Workflow mark as inactive

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"MarkAsInactive"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.MarkWorkflowInactiveRequest":{"type":"object","properties":{"workflowid":{"type":"integer","format":"int32"},"reason":{"type":"string","nullable":true},"markDocumentsInactive":{"type":"boolean"},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/MarkAsInactive/workflow":{"post":{"tags":["MarkAsInactive"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.MarkWorkflowInactiveRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Workflow mark as inactive","operationId":"post_MarkAsInactive_workflow"}}}}
```

## POST /api/Public/MarkAsInactive/document

> Document

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"MarkAsInactive"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.MarkDocumentInactiveRequest":{"type":"object","properties":{"documentId":{"type":"integer","format":"int32"},"reason":{"type":"string","nullable":true},"forceInactive":{"type":"boolean"},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/MarkAsInactive/document":{"post":{"tags":["MarkAsInactive"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.MarkDocumentInactiveRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Document","operationId":"post_MarkAsInactive_document"}}}}
```

## POST /api/Public/MarkAsInactive/user

> User

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"MarkAsInactive"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.MarkUserInactiveRequest":{"type":"object","properties":{"userId":{"type":"integer","format":"int32"},"reason":{"type":"string","nullable":true},"invalidateTokens":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/Public/MarkAsInactive/user":{"post":{"tags":["MarkAsInactive"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.MarkUserInactiveRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"User","operationId":"post_MarkAsInactive_user"}}}}
```

## GET /api/Public/MarkAsInactive/summary

> Summary

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"MarkAsInactive"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/MarkAsInactive/summary":{"get":{"tags":["MarkAsInactive"],"responses":{"200":{"description":"OK"}},"summary":"Summary","operationId":"get_MarkAsInactive_summary"}}}}
```

## POST /api/Public/MarkAsInactive/DeleteDocument

> Delete document

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"MarkAsInactive"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.DeleteDocumentRequestDto":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"isWorkflow":{"type":"boolean"},"ipAddress":{"type":"string","nullable":true},"osBrowser":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/MarkAsInactive/DeleteDocument":{"post":{"tags":["MarkAsInactive"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.DeleteDocumentRequestDto"}}}},"responses":{"200":{"description":"OK"}},"summary":"Delete document","operationId":"post_MarkAsInactive_DeleteDocument"}}}}
```
